# Uses of Enum
org.eclipse.mat.hprof.describer.Version

Packages that use Version
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof.describer
Content describer for HPROF dumps, in a separate package so bundle not started just for content provider calls.

## Uses of Version in org.eclipse.mat.hprof

Constructors in org.eclipse.mat.hprof with parameters of type Version
Modifier
Constructor
Description
``
`HprofRandomAccessParser(File file, String prefix, Version version, int identifierSize, long len, HprofPreferences.HprofStrictness strictnessPreference)`

## Uses of Version in org.eclipse.mat.hprof.describer

Methods in org.eclipse.mat.hprof.describer that return Version
Modifier and Type
Method
Description
`static final Version`
Version.`byLabel(String label)`
`static Version`
Version.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Version[]`
Version.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.